%define	name	qtiplot
%define	version	0.8.7
%define	release	%mkrel 1
%define	Summary	Data analysis and scientific plotting

%define	qtdir	%{_libdir}/qt3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Group:		Sciences/Other
Url:		http://soft.proindependent.com/qtiplot.html
Source0:	http://soft.proindependent.com/src/%{name}-%{version}.tar.bz2

# Automatically added by buildreq on Fri Dec 03 2004
BuildRequires:	qt3-devel libqwt-devel libqwtplot3d-devel gsl-devel icoutils
BuildRequires:  ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Data analysis and scientific plotting.
Free clone of Origin.

%prep
%setup -q -n %{name}-%{version}
#sed -i -e 's|INCLUDEPATH.*qwt/include|INCLUDEPATH += %{qtdir}/include/qwt|g' %{name}/%{name}.pro
sed -i -e 's|INCLUDEPATH.*/include/qwtplot3d|INCLUDEPATH += %{qtdir}/include/qwtplot3d|g' %{name}/%{name}.pro
sed -i -e 's|INCLUDEPATH.*D:.*|INCLUDEPATH += %{_includedir}|g' %{name}/%{name}.pro
sed -i -e 's|helpFilePath=.*$|helpFilePath="%{_datadir}/doc/%{name}-%{version}/help.html";|g' %{name}/src/application.cpp
sed -i -e 's|sub-3rdparty-qwt ||g' %{name}/%{name}.pro

%build
#cd %{name}
export QTDIR=%{qtdir}
export PATH=$QTDIR/bin:$PATH
qmake %{name}.pro -o Makefile
%make

%install
rm -rf %{buildroot}
install -m755 qtiplot/qtiplot -D %{buildroot}%{_bindir}/qtiplot
install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
        command="%{_bindir}/%{name}" \
	title="Qtiplot"
        needs="X11" \
        icon="%{name}.png" \
        longtitle="Qt data plotting program"
EOF

#desktop-file-install --vendor="" \
#  --remove-category="Application" \
#  --add-category="Qt" \
#  --add-category="More Applications/Sciences/Data Visualization" \
#  --add-category="X-MandrivaLinux-MoreApplications-Sciences-DataVisualization" \
#  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/qtiplot.desktop


mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
icotool -x -i1 %{name}/src/qtiplot.ico -o qtiplot32.png
convert -scale 48 qtiplot32.png %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 qtiplot32.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16 qtiplot32.png %{buildroot}%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(644,root,root,755)
%doc README.html gpl_licence.txt
%attr(755,root,root) %{_bindir}/qtiplot
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sat Sep 16 2006 Stefan van der Eijk <stefan@mandriva.org> 0.8.7-1
- 0.8.7
- Mon Jul 24 2006 Saint-michel laurent <laurent.saintmichel@gmail.com> 0.8.5-1
- New release 0.8.5
- Update of the spec and adapt to XDG menu

* Thu Jan 26 2006 Lenny Cartier <lenny@mandriva.com> 0.7.7-1mdk
- 0.7.7

* Tue Jan 17 2006 Lenny Cartier <lenny@mandriva.com> 0.7.6-1mdk
- 0.7.6

* Wed Dec 21 2005 Lenny Cartier <lenny@mandriva.com> 0.7.5-1mdk
- 0.7.5

* Wed Dec 14 2005 Lenny Cartier <lenny@mandriva.com> 0.7.4-1mdk
- 0.7.4

* Wed Nov 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.2-1mdk
- New release 0.7.2

* Mon Oct 17 2005 Lenny Cartier <lenny@mandriva.com> 0.7-1mdk
- 0.7

* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.6-1mdk
- New release 0.6.6

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-2mdk
- Rebuild

* Tue Jul 26 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.4-1mdk
- import to contrib with adaptions

* Wed Apr 06 2005 Olivier Lahaye <olivier.lahaye1@free.fr> 0.5.8-3.2mdk
- Added Desktop menus and icons.

* Wed Apr 06 2005 Olivier Lahaye <olivier.lahaye1@free.fr> 0.5.8-3.1mdk
- Upgrade to V 0.5.8-3

* Wed Mar 02 2005 Olivier Lahaye <olivier.lahaye1@free.fr> 0.5.6-1mdk
- Initial package
